// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/shader/IShaderData.hpp"
#include "dawnopengl.hpp"

namespace Dawn {
  class ShaderData : public IShaderData {
    private:
      GLuint buffer = -1;

    public:
      ShaderData(
        const std::shared_ptr<ShaderStructure> &structure
      );

      ~ShaderData() override;
  };
}